#
# spec file for package memtest86+ (Version 4.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _default_patch_fuzz 3
Name:           memtest86+
Version:        4.20
Release:        1.25
#
License:        GPL
Group:          System/Boot
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch x86_64
BuildRequires:  glibc-devel-32bit glibc-32bit
%endif
ExclusiveArch: %ix86 x86_64
Provides:       lilo:/boot/memtest86+.bin
#
URL:            http://www.memtest.org
Source:         http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.bz2
Patch0:         fix-destdir
Patch1:         include-linkonce
Patch5:		serial-enable
Patch6:		work-around-4G-virtual-overflow

#
Summary:        Memory Testing Image for x86 Architecture

%description
Memtest86 is an image that can be booted instead of a real OS. Once
booted, it can be used to test the computer's memory.



Authors:
--------
    Samuel Demeulemeester <memtest@memtest.org>
    Original memtest86 package:
    John Coffman <JohnInSD@san.rr.com>
    Werner Almesberger <Werner.Almesberger@epfl.ch>
    PowerPC part:
    Paul Mackeras <paulus@samba.org>
    Cort Dougan <cort@fsmlabs.com>
    Benjamin Herrenschmidt <benh@kernel.crashing.org>
    Memtest86:
    Chris Brady <crsbrady@earthlink.net>

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch5 -p1
%patch6 -p1

%build
%ifarch x86_64
  make CC="gcc -m32" AS="as --32"
%else
  make
%endif

%install
install -D -m 0644 memtest.bin $RPM_BUILD_ROOT/boot/memtest86+.bin
install -D -m 0644 memtest.bin $RPM_BUILD_ROOT/boot/memtest.bin
%post
if [ "$YAST_IS_RUNNING" != instsys -a $1 = 1 -a \
	 -x /sbin/update-bootloader ]; then
	/sbin/update-bootloader --add --image /boot/memtest.bin --name "Memory Test (memtest86+)"
fi
true

%postun
test -x /sbin/update-bootloader && /sbin/update-bootloader --remove --force --image /boot/memtest.bin || true

%files
%defattr(-,root,root)
/boot/memtest86+.bin
/boot/memtest.bin
%doc README* changelog FAQ

%changelog
* Sun Apr 17 2011 cs@linux-administrator.com
- update to release 4.20
  * New Features
    o Added failsafe mode (press F1 at startup)
    o Added support for Intel "Sandy Bridge" CPU
    o Added support for AMD "fusion" CPU
    o Added Coreboot "table forward" support
  * Bug Fixes
    o Corrected some memory brands not detected properly
    o Various bug fixes
